<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Sat Oct 17 14:57:57 CAT 2015 -->
<meta http-equiv="Content-Type" content="text/html" charset="UTF-8">
<title>Index (DHS-CLINICAL: SERVER 1.0 API)</title>
<meta name="date" content="2015-10-17">
<link rel="stylesheet" type="text/css" href="./stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Index (DHS-CLINICAL: SERVER 1.0 API)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="./overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="./overview-tree.html">Tree</a></li>
<li><a href="./deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="./help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="./index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="./allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="#_A_">A</a>&nbsp;<a href="#_L_">L</a>&nbsp;<a href="#_M_">M</a>&nbsp;<a href="#_R_">R</a>&nbsp;<a href="#_S_">S</a>&nbsp;<a href="#_Z_">Z</a>&nbsp;<a name="_A_">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><a href="./za/co/computro/config/ApplicationConfig.html" title="class in za.co.computro.config"><span class="strong">ApplicationConfig</span></a> - Class in <a href="./za/co/computro/config/package-summary.html">za.co.computro.config</a></dt>
<dd>
<div class="block">Can replace config with xml for external control (e.g.</div>
</dd>
<dt><span class="strong"><a href="./za/co/computro/config/ApplicationConfig.html#ApplicationConfig()">ApplicationConfig()</a></span> - Constructor for class za.co.computro.config.<a href="./za/co/computro/config/ApplicationConfig.html" title="class in za.co.computro.config">ApplicationConfig</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="_L_">
<!--   -->
</a>
<h2 class="title">L</h2>
<dl>
<dt><span class="strong"><a href="./za/co/computro/config/ApplicationConfig.html#logger()">logger()</a></span> - Method in class za.co.computro.config.<a href="./za/co/computro/config/ApplicationConfig.html" title="class in za.co.computro.config">ApplicationConfig</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="_M_">
<!--   -->
</a>
<h2 class="title">M</h2>
<dl>
<dt><span class="strong"><a href="./za/co/computro/server/RunnableServer.html#main(java.lang.String[])">main(String[])</a></span> - Static method in class za.co.computro.server.<a href="./za/co/computro/server/RunnableServer.html" title="class in za.co.computro.server">RunnableServer</a></dt>
<dd>
<div class="block">Starts the server - server's main method</div>
</dd>
</dl>
<a name="_R_">
<!--   -->
</a>
<h2 class="title">R</h2>
<dl>
<dt><span class="strong"><a href="./za/co/computro/config/ApplicationConfig.html#remoteServer()">remoteServer()</a></span> - Method in class za.co.computro.config.<a href="./za/co/computro/config/ApplicationConfig.html" title="class in za.co.computro.config">ApplicationConfig</a></dt>
<dd>&nbsp;</dd>
<dt><a href="./za/co/computro/server/RemoteServer.html" title="interface in za.co.computro.server"><span class="strong">RemoteServer</span></a> - Interface in <a href="./za/co/computro/server/package-summary.html">za.co.computro.server</a></dt>
<dd>
<div class="block">A basic interface of a DHS remote server</div>
</dd>
<dt><a href="./za/co/computro/server/RunnableServer.html" title="class in za.co.computro.server"><span class="strong">RunnableServer</span></a> - Class in <a href="./za/co/computro/server/package-summary.html">za.co.computro.server</a></dt>
<dd>
<div class="block">Entry point of the DHS Clinical System server (Starts the server)</div>
</dd>
<dt><span class="strong"><a href="./za/co/computro/server/RunnableServer.html#RunnableServer()">RunnableServer()</a></span> - Constructor for class za.co.computro.server.<a href="./za/co/computro/server/RunnableServer.html" title="class in za.co.computro.server">RunnableServer</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="_S_">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><a href="./za/co/computro/server/SocketServer.html" title="class in za.co.computro.server"><span class="strong">SocketServer</span></a> - Class in <a href="./za/co/computro/server/package-summary.html">za.co.computro.server</a></dt>
<dd>
<div class="block">Implementation of a Remote Server for the DHS system
 Defines a private thread class to handle DHS client requests</div>
</dd>
<dt><span class="strong"><a href="./za/co/computro/server/SocketServer.html#SocketServer()">SocketServer()</a></span> - Constructor for class za.co.computro.server.<a href="./za/co/computro/server/SocketServer.html" title="class in za.co.computro.server">SocketServer</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="./za/co/computro/server/RemoteServer.html#start(int)">start(int)</a></span> - Method in interface za.co.computro.server.<a href="./za/co/computro/server/RemoteServer.html" title="interface in za.co.computro.server">RemoteServer</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="./za/co/computro/server/SocketServer.html#start(int)">start(int)</a></span> - Method in class za.co.computro.server.<a href="./za/co/computro/server/SocketServer.html" title="class in za.co.computro.server">SocketServer</a></dt>
<dd>
<div class="block">Starts the socket server and waits for client requests</div>
</dd>
</dl>
<a name="_Z_">
<!--   -->
</a>
<h2 class="title">Z</h2>
<dl>
<dt><a href="./za/co/computro/config/package-summary.html">za.co.computro.config</a> - package za.co.computro.config</dt>
<dd>&nbsp;</dd>
<dt><a href="./za/co/computro/server/package-summary.html">za.co.computro.server</a> - package za.co.computro.server</dt>
<dd>&nbsp;</dd>
</dl>
<a href="#_A_">A</a>&nbsp;<a href="#_L_">L</a>&nbsp;<a href="#_M_">M</a>&nbsp;<a href="#_R_">R</a>&nbsp;<a href="#_S_">S</a>&nbsp;<a href="#_Z_">Z</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="./overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="./overview-tree.html">Tree</a></li>
<li><a href="./deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="./help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="./index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="./allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2015. All rights reserved.</small></p>
</body>
</html>
